Bug 95647 - Cropping of TIFFs in Draw/Impress are being scaled
Summary: Cropping of TIFFs in Draw/Impress are being scaled
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
5.0.0.5 release
Hardware: Other Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: filter:TIFF
Keywords:
Depends on:
Blocks: Image-Crop Images-TIFF
  Show dependency treegraph
 
Reported: 2015-11-07 01:21 UTC by Larry
Modified: 2019-06-28 19:13 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Example of the bug. page 1 = before cropping, page 2 = after cropping (3.20 MB, application/vnd.oasis.opendocument.graphics)
2015-11-07 01:21 UTC, Larry
Details
TIFF bitmap rescales during a crop action (48.14 KB, image/png)
2015-11-08 19:57 UTC, V Stuart Foote
Details
cropping TIFFs in Writer -- seems OK (4.82 MB, application/vnd.oasis.opendocument.text)
2015-11-08 20:22 UTC, V Stuart Foote
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Larry 2015-11-07 01:21:29 UTC
Created attachment 120336 [details]
Example of the bug.  page 1 = before cropping, page 2 = after cropping

Found in Impress and Draw, at least.

When I insert an image (TIFF in my case) and then crop it, I find that the image gets compressed in the direction that I cropped.  So if I take off the bottom, the image will get slightly compressed upwards.  This skews the aspect ratio of the image and basically makes it impossible for me to line up specific features of different images.  I end up having to cut off the excess image in a different program before bringing the image into LibreOffice.

Attachment included, with "before" and "after" pages.
Comment 1 V Stuart Foote 2015-11-07 04:51:57 UTC
Before cropping you've not set "Keep ratio" on the Position and Size dialog.

Do that and no issues with the Crop.
Comment 2 V Stuart Foote 2015-11-08 19:57:17 UTC
Created attachment 120389 [details]
TIFF bitmap rescales during a crop action

Whoops, too quick to close this out. Sorry...

There is an issue--at least y-axis of the tiff image rendering on Writer canvas is being scaled smaller as the clip result is being calculated.

Scaling is evident when performing clip, during selection--before applying. See the attached clip which show the TIFF rendered to bitmap on Writer canvas being scaled during a clip operation. That changed and incorrect scaling carries into the resulting clip.

The scaling issue during clipping does not affect PNG or JPEG copies of the same images--just the TIFF version.

And, setting or not-setting the "Position & Size" ->  "Keep ratio" has no effect on size distortion of the resulting clipped TIFF.
Comment 3 V Stuart Foote 2015-11-08 20:22:37 UTC
Created attachment 120390 [details]
cropping TIFFs in Writer -- seems OK

Of course that was not with Writer, rather Draw/Impress canvas. 

However, the crop of TIFFs looks to be handled correctly for the recently implemented image crop in Writer.
Comment 4 V Stuart Foote 2015-11-10 00:37:42 UTC
@Philippe,

Croping by handles for Tiff works in Writer, but is somehow scaling the image perceptibly in Draw/Impress as in attachment.
Comment 5 QA Administrators 2017-01-03 19:35:18 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.6 or 5.2.3  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170103